org.apache.olingo.commons.api.edm.geo

## Class MultiLineString

- java.lang.Object
- - org.apache.olingo.commons.api.edm.geo.Geospatial
  - - org.apache.olingo.commons.api.edm.geo.ComposedGeospatial<LineString>
    - - org.apache.olingo.commons.api.edm.geo.MultiLineString

- All Implemented Interfaces:
    Iterable<LineString>

      public class MultiLineString
      extends ComposedGeospatial<LineString>

  Represents a MuliLineString. Either Edm.GeometryMultiLineString or Edm.GeographyMultiLineString

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.olingo.commons.api.edm.geo.Geospatial

      `Geospatial.Dimension, Geospatial.Type`

  - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.commons.api.edm.geo.ComposedGeospatial

      `geospatials`

    - ### Fields inherited from class org.apache.olingo.commons.api.edm.geo.Geospatial

      `dimension, srid, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiLineString(Geospatial.Dimension dimension, SRID srid, List<LineString> lineStrings)` Creates a new MultiLineString

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmPrimitiveTypeKind` | `getEdmPrimitiveTypeKind()` Returns the `EdmPrimitiveTypeKind`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.geo.ComposedGeospatial

      `equals, hashCode, isEmpty, iterator, toString`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.geo.Geospatial

      `getDimension, getGeoType, getSrid`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### MultiLineString

          public MultiLineString(Geospatial.Dimension dimension,
                                 SRID srid,
                                 List<LineString> lineStrings)

      Creates a new MultiLineString
      Parameters:
        `dimension` - Dimension of the MultiLineString
        `srid` - SRID value
        `lineStrings` - List of lineStrings

  - ### Method Detail

    - #### getEdmPrimitiveTypeKind

          public EdmPrimitiveTypeKind getEdmPrimitiveTypeKind()

      Description copied from class: `Geospatial`
      Returns the `EdmPrimitiveTypeKind`
      Specified by:
        `getEdmPrimitiveTypeKind` in class `Geospatial`
      Returns:
        EDM primitive type kind

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.